## org.eclipse.uml2.uml
Interface ExtensionEnd

All Superinterfaces:
  ConnectableElement, DeploymentTarget, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, Feature, MultiplicityElement, NamedElement, org.eclipse.emf.common.notify.Notifier, ParameterableElement, Property, RedefinableElement, StructuralFeature, TypedElement

    public interface ExtensionEnd

extends Property

A representation of the model object 'Extension End'. An extension end is used to tie an extension to a stereotype when extending a metaclass. The default multiplicity of an extension end is 0..1.

See Also:
  `UMLPackage.getExtensionEnd()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`boolean` `validateAggregation(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The aggregation of an ExtensionEnd is composite.
`boolean` `validateMultiplicity(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The multiplicity of ExtensionEnd is 0..1 or 1.

Methods inherited from interface org.eclipse.uml2.uml.Property

`createDefaultValue, createQualifier, createQualifier, getAggregation, getAssociation, getAssociationEnd, getClass_, getDatatype, getDefault, getDefaultValue, getOpposite, getOtherEnd, getOwningAssociation, getQualifier, getQualifier, getQualifiers, getRedefinedProperties, getRedefinedProperty, getRedefinedProperty, getSubsettedProperties, getSubsettedProperty, getSubsettedProperty, isAttribute, isComposite, isDerived, isDerivedUnion, isNavigable, isSetDefault, setAggregation, setAssociation, setAssociationEnd, setBooleanDefaultValue, setDatatype, setDefault, setDefaultValue, setIntegerDefaultValue, setIsComposite, setIsDerived, setIsDerivedUnion, setIsNavigable, setNullDefaultValue, setOpposite, setOwningAssociation, setStringDefaultValue, setUnlimitedNaturalDefaultValue, subsettingContext, unsetDefault, validateBindingToAttribute, validateDeploymentTarget, validateDerivedUnionIsDerived, validateDerivedUnionIsReadOnly, validateMultiplicityOfComposite, validateNavigableReadonly, validateRedefinedPropertyInherited, validateSubsettedPropertyNames, validateSubsettingContextConforms, validateSubsettingRules`

Methods inherited from interface org.eclipse.uml2.uml.StructuralFeature
`isReadOnly, setIsReadOnly`

Methods inherited from interface org.eclipse.uml2.uml.Feature
`getFeaturingClassifier, getFeaturingClassifier, getFeaturingClassifiers, isStatic, setIsStatic`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.uml2.uml.MultiplicityElement

`compatibleWith, createLowerValue, createUpperValue, getLower, getLowerValue, getUpper, getUpperValue, includesCardinality, includesMultiplicity, is, isMultivalued, isOrdered, isUnique, lowerBound, setIsOrdered, setIsUnique, setLower, setLowerValue, setUpper, setUpperValue, upperBound, validateLowerGe0, validateUpperGeLower, validateValueSpecificationConstant, validateValueSpecificationNoSideEffects`

Methods inherited from interface org.eclipse.uml2.uml.ConnectableElement
`getEnds`

Methods inherited from interface org.eclipse.uml2.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.uml2.uml.ParameterableElement
`getOwningTemplateParameter, getTemplateParameter, isCompatibleWith, isTemplateParameter, setOwningTemplateParameter, setTemplateParameter`

Methods inherited from interface org.eclipse.uml2.uml.DeploymentTarget
`createDeployment, getDeployedElement, getDeployedElement, getDeployedElements, getDeployment, getDeployment, getDeployments`

Method Detail

### validateMultiplicity

    boolean validateMultiplicity(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  The multiplicity of ExtensionEnd is 0..1 or 1. (self->lowerBound() = 0 or self->lowerBound() = 1) and self->upperBound() = 1

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateAggregation

    boolean validateAggregation(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                java.util.Map<java.lang.Object,java.lang.Object> context)

  The aggregation of an ExtensionEnd is composite. self.aggregation = #composite

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.